Bridgly SDK
import { Bridgly } from '@bridgly/sdk';
const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });
const res = await client.reddit.searchComments({
query: "string",
limit: 10,
});
if (res.type === 'success') console.log(res.data);curl --request POST \
--url https://api.bridgly.app/reddit/search/comments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"subreddit": "<string>",
"after": "<string>",
"limit": 10
}
'import requests
url = "https://api.bridgly.app/reddit/search/comments"
payload = {
"query": "<string>",
"subreddit": "<string>",
"after": "<string>",
"limit": 10
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', subreddit: '<string>', after: '<string>', limit: 10})
};
fetch('https://api.bridgly.app/reddit/search/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridgly.app/reddit/search/comments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'subreddit' => '<string>',
'after' => '<string>',
'limit' => 10
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bridgly.app/reddit/search/comments"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"subreddit\": \"<string>\",\n \"after\": \"<string>\",\n \"limit\": 10\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bridgly.app/reddit/search/comments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"subreddit\": \"<string>\",\n \"after\": \"<string>\",\n \"limit\": 10\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridgly.app/reddit/search/comments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"subreddit\": \"<string>\",\n \"after\": \"<string>\",\n \"limit\": 10\n}"
response = http.request(request)
puts response.read_body{
"timeMs": 123,
"creditsCost": 123,
"data": {
"comments": [
{
"commentId": "<string>",
"commentFullname": "<string>",
"permalink": "<string>",
"commentUrl": "<string>",
"parentId": "<string>",
"parentFullname": "<string>",
"postId": "<string>",
"postFullname": "<string>",
"postTitle": "<string>",
"postPermalink": "<string>",
"postUrl": "<string>",
"postNsfw": true,
"postSpoiler": true,
"subreddit": "<string>",
"subredditId": "<string>",
"subredditPrefixed": "<string>",
"subredditUrl": "<string>",
"subredditNsfw": true,
"subredditQuarantined": true,
"author": "<string>",
"authorUrl": "<string>",
"body": "<string>",
"createdAt": "<string>",
"createdUtc": 123
}
],
"query": "<string>",
"after": "<string>"
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Reddit
Search Reddit comments
Search Reddit comments by phrase. Each result includes the comment text and link along with the title and subreddit of the post it was left on. Costs 1 credit per request.
POST
/
reddit
/
search
/
comments
Bridgly SDK
import { Bridgly } from '@bridgly/sdk';
const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });
const res = await client.reddit.searchComments({
query: "string",
limit: 10,
});
if (res.type === 'success') console.log(res.data);curl --request POST \
--url https://api.bridgly.app/reddit/search/comments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"subreddit": "<string>",
"after": "<string>",
"limit": 10
}
'import requests
url = "https://api.bridgly.app/reddit/search/comments"
payload = {
"query": "<string>",
"subreddit": "<string>",
"after": "<string>",
"limit": 10
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', subreddit: '<string>', after: '<string>', limit: 10})
};
fetch('https://api.bridgly.app/reddit/search/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridgly.app/reddit/search/comments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'subreddit' => '<string>',
'after' => '<string>',
'limit' => 10
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bridgly.app/reddit/search/comments"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"subreddit\": \"<string>\",\n \"after\": \"<string>\",\n \"limit\": 10\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bridgly.app/reddit/search/comments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"subreddit\": \"<string>\",\n \"after\": \"<string>\",\n \"limit\": 10\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridgly.app/reddit/search/comments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"subreddit\": \"<string>\",\n \"after\": \"<string>\",\n \"limit\": 10\n}"
response = http.request(request)
puts response.read_body{
"timeMs": 123,
"creditsCost": 123,
"data": {
"comments": [
{
"commentId": "<string>",
"commentFullname": "<string>",
"permalink": "<string>",
"commentUrl": "<string>",
"parentId": "<string>",
"parentFullname": "<string>",
"postId": "<string>",
"postFullname": "<string>",
"postTitle": "<string>",
"postPermalink": "<string>",
"postUrl": "<string>",
"postNsfw": true,
"postSpoiler": true,
"subreddit": "<string>",
"subredditId": "<string>",
"subredditPrefixed": "<string>",
"subredditUrl": "<string>",
"subredditNsfw": true,
"subredditQuarantined": true,
"author": "<string>",
"authorUrl": "<string>",
"body": "<string>",
"createdAt": "<string>",
"createdUtc": 123
}
],
"query": "<string>",
"after": "<string>"
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Authorizations
A Bridgly API key (bgly_…). Metered endpoints deduct credits from the resolved account.
Body
application/json
The text to search Reddit for, e.g. "openai", "best keyboard".
Pattern:
\SRestrict the search to a single subreddit (name with or without the "r/" prefix). Only applies to post search.
Result ordering. Defaults to "relevance".
Available options:
relevance, hot, top, new, comments Restrict results to a recent window. Defaults to "all".
Available options:
hour, day, week, month, year, all Pagination cursor (a Reddit fullname returned as after from a previous page).
Number of results to return (1–10). Defaults to 10.
Required range:
1 <= x <= 10Was this page helpful?